# Copyright 2022 IDRIS / jupyter
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

---

namespace: mahendrapaipuri
name: ansible_jupyterhub_hpc
version: "1.0.0"
readme: "README.md"
authors:
  - "Mahendra Paipuri <mahendra.paipuri@cnrs.fr>"
description: |
    Installs JupyterHub along with batchspawner on HPC platforms. 
    The role additionally can deploy node exporter, Prometheus and 
    Grafana stack to monitor the jupyterhub deployment. Besides, it
    will also install Promtail and Grafana Loki to analyse logs of 
    nginx reverse proxy.
license:
  - "Apache-2.0"
tags:
  - jupyterhub
  - hpc
  - slurm
  - monitoring
  - prometheus
  - grafana
  - loki
dependencies: {}
repository: "https://gitlab.com/idris-cnrs/jupyter/ansible-jupyterhub-hpc"
documentation: "https://gitlab.com/idris-cnrs/jupyter/ansible-jupyterhub-hpc/-/tree/main/docs"
issues: "https://gitlab.com/idris-cnrs/jupyter/ansible-jupyterhub-hpc/-/issues"
